<?php	session_start();
require_once("config.php");
$id=$_POST["id"];							//获取商品id
$num=$_POST["goodsnum"];					//获取商品数量
$preg="/^[0-9]*[0-9]$|^[0-9]*[0-9]$/";		//编写正则表达式
if($num==""){								//判断提交的值是否为空
	echo "<script>alert('数量不能为空!');history.back();</script>";
	exit;
}else if(!preg_match($preg,$num,$str)){		//判断提交的数据是否是正整数
 	echo "<script>alert('数量只能为正整数!');history.back();</script>";
 	exit;
}
$arrayid=explode("@",$_SESSION["goodsid"]);
$arraynum=explode("@",$_SESSION["goodsnum"]);
$key=array_search($id,$arrayid);   			//在数组中搜索给定的值，如果成功则返回相应的键名 
$arraynum[$key]=$num;						//更改商品数量
$_SESSION["goodsnum"]=implode("@",$arraynum);		//更改商品数量
echo "<script>window.location.href='shopping_car.php';</script>";
$smarty->display("shopping_car.tpl");
?>
